QB_IPCC_EVENT_RECV(3)

NAME
qb_ipcc_event_recv - Receive an event.

SYNOPSIS
#include <qb/qbipcc.h>

ssize_t qb_ipcc_event_recv(
    qb_ipcc_connection_t   *c,           /* connection instance */
    void                   *msg_ptr,     /* pointer to a message buffer to receive into */
    size_t                  msg_len,     /* the size of the buffer */
    /*
     * time in milliseconds to wait for a message 0 == no wait, negative ==
     * block, positive == wait X ms.
     */
    int32_t                 ms_timeout
);

PARAMS
c connection instance

msg_ptr pointer to a message buffer to receive into

msg_len the size of the buffer

ms_timeout time in milliseconds to wait for a message 0 == no wait, negative == block, positive == wait X ms.

DESCRIPTION

RETURN VALUE

size of the message or error (-errno)

NOTE

that msg_ptr will include a qb_ipc_response_header at the top of the message.

SEE ALSO

qb_ipcc_send(3), qb_ipcc_sendv_recv(3), qb_ipcc_recv(3), qb_ipcc_connect_async(3), qb_ipcc_fc_enable_max_set(3), qb_ipcc_is_connected(3), qb_ipcc_connect_continue(3), qb_ipcc_auth_get(3), qb_ipcc_sendv(3), qb_ipcc_context_set(3), qb_ipcc_context_get(3), qb_ipcc_verify_dgram_max_msg_size(3), qb_ipcc_get_buffer_size(3), qb_ipcc_connect(3), qb_ipcc_disconnect(3), qb_ipcc_fd_get(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.